
      program tst
      dimension mt(3)

      ut = 2.33
      call ut2mt(ut,mt)
      write(6,"('main: ut=',f8.4,' mt=',3i3)") ut,mt

      ut = 49.33
      call ut2mt(ut,mt)
      write(6,"('main: ut=',f8.4,' mt=',3i3)") ut,mt

      ut = 49.67
      call ut2mt(ut,mt)
      write(6,"('main: ut=',f8.4,' mt=',3i3)") ut,mt

      ut = 23.0833
      call ut2mt(ut,mt)
      write(6,"('main: ut=',f8.4,' mt=',3i3)") ut,mt
c
      stop
      end
c
      subroutine ut2mt(ut,mt)
      dimension mt(3)
c
      mt(1) = ut / 24.
      mt(2) = ut - mt(1)*24.
      mt(3) = nint(60. * (ut - ifix(ut)))
      return
      end
